<div class="w-100 position-absolute top-0">
  <div class="mx-auto w-50 mt-5 bg-light p-5">
    <form [formGroup]="form">
      <div class="form-group">
        <label for="name">Name</label>
        <input data-test-id="input" [class.invalid]="!!form.get('name')?.invalid && form.get('name')?.touched"
               formControlName="name"
               type="text" class="form-control" id="name" aria-describedby="emailHelp" placeholder="Enter name">
      </div>
      <div class="form-group">
        <label for="description">Description</label>
        <textarea data-test-id="description"
                  [class.invalid]="!!form.get('description')?.invalid && form.get('description')?.touched"
                  [readonly]="activeBoard" formControlName="description"
                  class="form-control" id="description" aria-describedby="emailHelp"
                  placeholder="Enter description"></textarea>
      </div>
      <button data-test-id="submit" type="submit" class="btn btn-primary" (click)="submitForm()">Submit</button>
    </form>
  </div>
</div>
